zenilib: CFF_PrivateRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
CFF_PrivateRec_ Struct Reference

`#include <cfftypes.h>`

## Public Attributes

FT_Pos | blue_fuzz
FT_Fixed | blue_scale
FT_Pos | blue_shift
FT_Pos | blue_values [14]
FT_Pos | default_width
FT_Fixed | expansion_factor
FT_Pos | family_blues [14]
FT_Pos | family_other_blues [10]
FT_Bool | force_bold
FT_Fixed | force_bold_threshold
FT_Long | initial_random_seed
FT_Int | language_group
FT_Int | lenIV
FT_ULong | local_subrs_offset
FT_Pos | nominal_width
FT_Byte | num_blue_values
FT_Byte | num_family_blues
FT_Byte | num_family_other_blues
FT_Byte | num_other_blues
FT_Byte | num_snap_heights
FT_Byte | num_snap_widths
FT_Pos | other_blues [10]
FT_Pos | snap_heights [13]
FT_Pos | snap_widths [13]
FT_Pos | standard_height
FT_Pos | standard_width

## Detailed Description

Definition at line 151 of file cfftypes.h.

## Member Data Documentation

FT_Pos CFF_PrivateRec_::blue_fuzz

Definition at line 165 of file cfftypes.h.

Referenced by cff_make_private_dict(), and cff_subfont_load().

FT_Fixed CFF_PrivateRec_::blue_scale

Definition at line 163 of file cfftypes.h.

Referenced by cff_make_private_dict(), and cff_subfont_load().

FT_Pos CFF_PrivateRec_::blue_shift

Definition at line 164 of file cfftypes.h.

Referenced by cff_make_private_dict(), and cff_subfont_load().

FT_Pos CFF_PrivateRec_::blue_values[14]

Definition at line 158 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Pos CFF_PrivateRec_::default_width

Definition at line 180 of file cfftypes.h.

FT_Fixed CFF_PrivateRec_::expansion_factor

Definition at line 177 of file cfftypes.h.

Referenced by cff_subfont_load().

FT_Pos CFF_PrivateRec_::family_blues[14]

Definition at line 160 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Pos CFF_PrivateRec_::family_other_blues[10]

Definition at line 161 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Bool CFF_PrivateRec_::force_bold

Definition at line 173 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Fixed CFF_PrivateRec_::force_bold_threshold

Definition at line 174 of file cfftypes.h.

FT_Long CFF_PrivateRec_::initial_random_seed

Definition at line 178 of file cfftypes.h.

FT_Int CFF_PrivateRec_::language_group

Definition at line 176 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Int CFF_PrivateRec_::lenIV

Definition at line 175 of file cfftypes.h.

Referenced by cff_make_private_dict(), and cff_subfont_load().

FT_ULong CFF_PrivateRec_::local_subrs_offset

Definition at line 179 of file cfftypes.h.

Referenced by cff_subfont_load().

FT_Pos CFF_PrivateRec_::nominal_width

Definition at line 181 of file cfftypes.h.

FT_Byte CFF_PrivateRec_::num_blue_values

Definition at line 153 of file cfftypes.h.

Referenced by cff_make_private_dict(), and cff_subfont_load().

FT_Byte CFF_PrivateRec_::num_family_blues

Definition at line 155 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Byte CFF_PrivateRec_::num_family_other_blues

Definition at line 156 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Byte CFF_PrivateRec_::num_other_blues

Definition at line 154 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Byte CFF_PrivateRec_::num_snap_heights

Definition at line 170 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Byte CFF_PrivateRec_::num_snap_widths

Definition at line 169 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Pos CFF_PrivateRec_::other_blues[10]

Definition at line 159 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Pos CFF_PrivateRec_::snap_heights[13]

Definition at line 172 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Pos CFF_PrivateRec_::snap_widths[13]

Definition at line 171 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Pos CFF_PrivateRec_::standard_height

Definition at line 167 of file cfftypes.h.

Referenced by cff_make_private_dict().

FT_Pos CFF_PrivateRec_::standard_width

Definition at line 166 of file cfftypes.h.

Referenced by cff_make_private_dict().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/cff/cfftypes.h